__kernel void update(__global float4* pos, float count, float maxcount, float acctime)
{
	int i = get_global_id(0);
	float f = (float)i/1700.0f;

	float x=0;float y=0;float z=0;

	float fpi = 3.14159*2*f*2;
	float t = acctime*0.15;

	float oescale = (0.5f-fmod(i,2.f))*2.f;
	
	x = cos(fpi*30)+cos(fpi)*0.5;
	y = sin(fpi*30)+sin(fpi)*0.5;
	
	z = 2*fpi*10.0+sin(fpi*30*3.14159)*4.0;
	x*=5;
	y*=5;
	pos[i] = (float4)(x,y,z, 1.0);
}
__kernel void zero(__global float4* pos){
	pos[get_global_id(0)] = (float4)(0.0,0.0,0.0,0.0);
}